[package]
name = "k8shost-csi"
version = "0.1.0"
edition = "2021"

[[bin]]
name = "lightningstor-csi"
path = "src/main.rs"

[dependencies]
k8shost-types = { path = "../k8shost-types" }
k8shost-proto = { path = "../k8shost-proto" }
tokio = { workspace = true }
tonic = { workspace = true }
anyhow = { workspace = true }
tracing = { workspace = true }
tracing-subscriber = { workspace = true }

[build-dependencies]
tonic-build = "0.11"
protoc-bin-vendored = "3"
